package com.gic.auth.dto;

import java.io.Serializable;
import java.util.List;

/**
 * 用户域资源域数据（小程序、服务号、会员卡等）变更情况信息
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/24 4:53 PM 
 */
public class UserResourceChangeInfoDTO implements Serializable{
    private static final long serialVersionUID = 5480272198512708835L;

    /**
     * 域数据类型 CuTypeEnum枚举
     */
    private Integer type;

    /**
     * 增加的域ID
     */
    private List<Long> addList;

    /**
     * 删除的域ID集合
     */
    private List<Long> deleteList;

    public Integer getType() {
        return type;
    }

    public UserResourceChangeInfoDTO setType(Integer type) {
        this.type = type;
        return this;
    }

    public List<Long> getAddList() {
        return addList;
    }

    public UserResourceChangeInfoDTO setAddList(List<Long> addList) {
        this.addList = addList;
        return this;
    }

    public List<Long> getDeleteList() {
        return deleteList;
    }

    public UserResourceChangeInfoDTO setDeleteList(List<Long> deleteList) {
        this.deleteList = deleteList;
        return this;
    }

    @Override
    public String toString() {
        return "UserResourceChangeInfoDTO{" +
                "type=" + type +
                ", addList=" + addList +
                ", deleteList=" + deleteList +
                '}';
    }
}
