package com.gic.auth.dao.mapper;

import com.gic.auth.entity.TabWechatHandleLog;
/**
 * 微信接口调用日志
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/6/15 10:28 AM 
 */
public interface TabWechatHandleLogMapper {

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabWechatHandleLog record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabWechatHandleLog record);

    /**
     * 根据主键查询
     *
     * @param id 主键
     * @return 实体对象
     */
    TabWechatHandleLog selectByPrimaryKey(Integer id);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabWechatHandleLog record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabWechatHandleLog record);
}