package com.gic.auth.service.impl;

import com.gic.auth.dao.mapper.TabWechatHandleLogMapper;
import com.gic.auth.entity.TabWechatHandleLog;
import com.gic.auth.service.WechatHandleLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 * 微信接口调用日志
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/6/15 10:27 AM 
 */
@Service("wechatHandleLogService")
public class WechatHandleLogServiceImpl implements WechatHandleLogService{
    @Autowired
    private TabWechatHandleLogMapper tabWechatHandleLogMapper;

    @Override
    public int saveWechatHandleLog(TabWechatHandleLog record) {
        Date now = new Date();
        record.setCreateTime(now);
        return tabWechatHandleLogMapper.insert(record);
    }
}
