package com.gic.auth.web.vo;

import java.io.Serializable;
/**
 * 资源组微盟店铺
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/4/14 4:21 PM 
 */
public class WmStoreVO implements Serializable{
    private static final long serialVersionUID = -4618286985897401887L;

    /**
     *
     */
    private Integer wmMallStoreId;

    /**
     * 微盟主账号
     */
    private String wmMainAccount;

    /**
     * 微盟pid
     */
    private String wmPid;

    /**
     * 微盟store_id
     */
    private String wmStoreId;

    /**
     * 店铺名称
     */
    private String wmPidName;

    /**
     * 共享标记 0自有 1共享
     */
    private Integer ownerFlag;

    private Integer ownerEntId;

    /**
     * 自有商户名称
     */
    private String ownerEntName;

    public Integer getWmMallStoreId() {
        return wmMallStoreId;
    }

    public WmStoreVO setWmMallStoreId(Integer wmMallStoreId) {
        this.wmMallStoreId = wmMallStoreId;
        return this;
    }

    public String getWmMainAccount() {
        return wmMainAccount;
    }

    public WmStoreVO setWmMainAccount(String wmMainAccount) {
        this.wmMainAccount = wmMainAccount;
        return this;
    }

    public String getWmPid() {
        return wmPid;
    }

    public WmStoreVO setWmPid(String wmPid) {
        this.wmPid = wmPid;
        return this;
    }

    public String getWmStoreId() {
        return wmStoreId;
    }

    public WmStoreVO setWmStoreId(String wmStoreId) {
        this.wmStoreId = wmStoreId;
        return this;
    }

    public String getWmPidName() {
        return wmPidName;
    }

    public WmStoreVO setWmPidName(String wmPidName) {
        this.wmPidName = wmPidName;
        return this;
    }

    public Integer getOwnerFlag() {
        return ownerFlag;
    }

    public WmStoreVO setOwnerFlag(Integer ownerFlag) {
        this.ownerFlag = ownerFlag;
        return this;
    }

    public String getOwnerEntName() {
        return ownerEntName;
    }

    public WmStoreVO setOwnerEntName(String ownerEntName) {
        this.ownerEntName = ownerEntName;
        return this;
    }

    public Integer getOwnerEntId() {
        return ownerEntId;
    }

    public WmStoreVO setOwnerEntId(Integer ownerEntId) {
        this.ownerEntId = ownerEntId;
        return this;
    }

    @Override
    public String toString() {
        return "WmStoreVO{" +
                "wmMallStoreId=" + wmMallStoreId +
                ", wmMainAccount='" + wmMainAccount + '\'' +
                ", wmPid='" + wmPid + '\'' +
                ", wmStoreId='" + wmStoreId + '\'' +
                ", wmPidName='" + wmPidName + '\'' +
                ", ownerFlag=" + ownerFlag +
                ", ownerEntId=" + ownerEntId +
                ", ownerEntName='" + ownerEntName + '\'' +
                '}';
    }
}
