package com.gic.auth.dto;

import java.io.Serializable;
/**
 * 资源组，用户域配置数据
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/8 4:24 PM 
 */
public class ResourceGroupCustomUserDTO implements Serializable{
    private static final long serialVersionUID = -3182922200773458600L;

    /**
     * CuTypeEnum 枚举
     */
    private Integer type;

    /**
     * 显示顺序(用于前端)
     */
    private Integer sort;

    /**
     * 域ID，多选，英文逗号隔开
     */
    private String areaValue;

    /**
     * 人群筛选器ID
     */
    private Long cuSelectId;

    public Integer getType() {
        return type;
    }

    public ResourceGroupCustomUserDTO setType(Integer type) {
        this.type = type;
        return this;
    }

    public Integer getSort() {
        return sort;
    }

    public ResourceGroupCustomUserDTO setSort(Integer sort) {
        this.sort = sort;
        return this;
    }

    public String getAreaValue() {
        return areaValue;
    }

    public ResourceGroupCustomUserDTO setAreaValue(String areaValue) {
        this.areaValue = areaValue;
        return this;
    }

    public Long getCuSelectId() {
        return cuSelectId;
    }

    public ResourceGroupCustomUserDTO setCuSelectId(Long cuSelectId) {
        this.cuSelectId = cuSelectId;
        return this;
    }

    @Override
    public String toString() {
        return "ResourceGroupCustomUserDTO{" +
                "type=" + type +
                ", sort=" + sort +
                ", areaValue='" + areaValue + '\'' +
                ", cuSelectId=" + cuSelectId +
                '}';
    }
}
