package com.gic.auth.dto.accountgroup;

import java.io.Serializable;
/**
 * 账号分组
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/3/17 3:53 PM 
 */
public class AccountGroupUnionDTO implements Serializable{
    private static final long serialVersionUID = 540104578542245703L;

    private Integer accountGroupId;

    private String accountGroupName;

    /**
     * 授权出去的联合商户ID
     */
    private Integer unionEnterpriseId;

    public Integer getAccountGroupId() {
        return accountGroupId;
    }

    public AccountGroupUnionDTO setAccountGroupId(Integer accountGroupId) {
        this.accountGroupId = accountGroupId;
        return this;
    }

    public String getAccountGroupName() {
        return accountGroupName;
    }

    public AccountGroupUnionDTO setAccountGroupName(String accountGroupName) {
        this.accountGroupName = accountGroupName;
        return this;
    }

    public Integer getUnionEnterpriseId() {
        return unionEnterpriseId;
    }

    public AccountGroupUnionDTO setUnionEnterpriseId(Integer unionEnterpriseId) {
        this.unionEnterpriseId = unionEnterpriseId;
        return this;
    }

    @Override
    public String toString() {
        return "AccountGroupUnionDTO{" +
                "accountGroupId=" + accountGroupId +
                ", accountGroupName='" + accountGroupName + '\'' +
                ", unionEnterpriseId=" + unionEnterpriseId +
                '}';
    }
}
