package com.gic.auth.web.vo;

import java.io.Serializable;
import java.util.List;

/**
 * 联合商户账号分组组件
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/25 1:53 PM 
 */
public class UnionEnterpriseAccountGroupListVO implements Serializable{
    private static final long serialVersionUID = 6530622928732661742L;

    /**
     * 商户ID
     */
    private Integer accountGroupId;

    /**
     * 商户名称
     */
    private String accountGroupName;

    private List<AccountGroupListVO> children;

    public Integer getAccountGroupId() {
        return accountGroupId;
    }

    public UnionEnterpriseAccountGroupListVO setAccountGroupId(Integer accountGroupId) {
        this.accountGroupId = accountGroupId;
        return this;
    }

    public String getAccountGroupName() {
        return accountGroupName;
    }

    public UnionEnterpriseAccountGroupListVO setAccountGroupName(String accountGroupName) {
        this.accountGroupName = accountGroupName;
        return this;
    }

    public List<AccountGroupListVO> getChildren() {
        return children;
    }

    public UnionEnterpriseAccountGroupListVO setChildren(List<AccountGroupListVO> children) {
        this.children = children;
        return this;
    }

    @Override
    public String toString() {
        return "UnionEnterpriseAccountGroupListVO{" +
                "accountGroupId=" + accountGroupId +
                ", accountGroupName='" + accountGroupName + '\'' +
                ", children=" + children +
                '}';
    }
}
